
#include "_TDL_ActionOrVoid.H"


 /* Thesea are located here to resolve distributed linking issues. */

_TDL_ActionOrVoid::_TDL_ActionOrVoid ( void * theVoidPointer )
    : distributedActionFunction ( _TDL_INVOKE_TCM_SET_DISTRIBUTED_ACTION ),
      isActionNotVoid           ( FALSE                                  )
{
  pointer.voidPointer = theVoidPointer;
}


void
_TDL_ActionOrVoid::setVoidPointer ( void * theVoidPointer )
{
  distributedActionFunction = _TDL_INVOKE_TCM_SET_DISTRIBUTED_ACTION;
  isActionNotVoid           = FALSE;
  pointer.voidPointer       = theVoidPointer;
}


_TDL_ActionOrVoid &
_TDL_ActionOrVoid::operator= ( void * theVoidPointer )
{
  distributedActionFunction = _TDL_INVOKE_TCM_SET_DISTRIBUTED_ACTION;
  setVoidPointer ( theVoidPointer );
  return *this;
}

